<?php
/**
 * Controller to handling save admin chat
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPCht_Ajax_Save_admin_chat_status' ))
{
  class IPCht_Ajax_Save_admin_chat_status
  {
    /**
     * Execution save setting
     *
     * @return void
     */
    public function exec()
    {
      global $user_ID;

      $model  = new IPCht_Model_Setting();
      $config = $model->getSettings();

      $status = absint( $_POST['status'] );
      if ( $status == 1 )
      {
        if ( $config->getSetting( 'online_status', 'true' ) == 'true' )
        {
          $key = md5( time() . $user_ID );
          update_option( '__ipcht_admin_online_status', 1 );
          update_option( '__ipcht_admin_online_time', time() );
          update_option( '__ipcht_admin_current_key', $key );
        } 
        else {
          update_option( '__ipcht_admin_online_status', 0 );
        }
      }
      else
      {
        update_option( '__ipcht_admin_online_status', 0 );
        delete_option( '__ipcht_admin_current_key' );
        delete_option( '__ipcht_admin_online_time' );
      }

      echo json_encode( array(
          'status' => 1
      ) );
      die();
    }
  }
}
