<?php
/**
 * Class helper for create admin chat page
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPCht_Admin_Chat' )) 
{
  class IPCht_Admin_Chat extends IPCht_Admin 
  {
		//{{ __construct

		/**
		 * Class construct
		 *
		 * @param array $config
		 * @return void
		 */
		public function __construct( $config = array() )
		{
			parent::__construct( $config );
		}

		//}}
		//{{ main

		/**
		 * Main content
		 *
		 * @return void
		 */
		public function main()
		{
			$this->view( 'chat/main', 'admin' );
		}

		//}}
		//{{ _setViewData

		/**
		 * Set view data
		 *
		 * @return void
		 */
		protected function _setViewData()
		{
			$this->requestID  = IPCHT_PAGENAME . '-chat';
			$this->htmlRootID = 'ipcht-admin-chat';

      //Get system config
      $model = new IPCht_Model_Setting();
      $this->systemConfig = $model->getSettings();

      //Get widget config
      $model = new IPCht_Model_Widget();
      $this->widgetConfig = $model->getSettings();
			
		}
  }
}