<?php
/**
 * Header fields view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

//
//Field Text
$this->renderFieldText(array(
	'name'			 => 'header_text',
	'label' 		 => 'Header Text',
	'inputValue' => '',
	'info'		   => 'Set the header text.'
));

//
//Field Height
$this->renderFieldSize(array(
	'name'			 => 'header_height',
	'label' 		 => 'Height',
	'inputValue' => '48',
	'info'		   => 'Set the height (in px) of the header area.'
));

//
//Field Bg Color
$this->renderFieldBackground(array(
	'name'			 		=> 'header',
	'label' 		 		=> 'header area',
	'color_default' => '#333333'
));

//
//Field Border
$this->renderFieldBorder(array(
	'name'			 		=> 'header',
	'color_default' => '#111111',
	'info'		   	  => 'Add border on the header area.'
));

//
//Field Border radius
$options = array(
  'none' => __( 'None', IPCHT_SLUG ),
  'xs'   => __( 'Extra Small', IPCHT_SLUG ),
  'sm'   => __( 'Small', IPCHT_SLUG ),
  'md'   => __( 'Medium', IPCHT_SLUG ),
  'lg'   => __( 'Large', IPCHT_SLUG )
);
$this->renderFieldSelect(array(
	'name'		  	=> 'header_border_radius',
	'label'  	   	=> 'Border Radius',
	'info'		   	=> 'Add radius on the header area.',
	'inputValue'  => 'none',
	'inputOptions'  => $options
));

//
//Field Text Color
$this->renderFieldColor(array(
	'name'			 => 'header_text_color',
	'label'  	   => 'Text Color',
	'info'		   => 'Set the color of the text in header area.',
	'inputValue' => '#ffffff'
));

//
//Field Font Size
$this->renderFieldSize(array(
	'name'		  	=> 'header_font_size',
	'label'  	   	=> 'Font Size',
	'info'		    => 'Set the font size of the text in header area.',
	'inputValue'  => '16'
));

//
//Field Font Family
$this->renderFieldFontFamily(array(
	'name'			 => 'header_font_family',
	'label'  	   => 'Font Family',
	'info'		   => 'Set the font type of the text in header area.'
));
?>