<?php
/**
 * Chat style
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$config   = $this->widgetConfig;

$bgcolor  = $config->getSetting( 'chat_background_color', '#ffffff' );
$color    = $config->getSetting( 'chat_text_color', '#666666' );
$bowidth  = $config->getSetting( 'chat_border_size' );
$bocolor  = $config->getSetting( 'chat_border_color', '#dddddd' );

//Font
$fontSize = $config->getSetting( 'chat_font_size', 13 );
$font_opt = $config->getSetting( 'chat_font_family', 'roboto' );
$family   = IPCht_Font::getFamily( $font_opt );
?>

.ipcht-widget .ipcht-chat-item .ipcht-chat-bubble-inner {
	background-color: <?php echo $bgcolor; ?>;
  color: <?php echo $color; ?>;
  font-family: <?php echo $family; ?>;
  font-size: <?php echo $fontSize; ?>px;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . '!important;';
  }
  ?>
}