<?php
/**
 * Widget footer style
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$config   = $this->widgetConfig;

$height   = $config->getSetting( 'footer_height', 42 );
$bgcolor  = $config->getSetting( 'footer_background_color', '#333333' );
$color    = $config->getSetting( 'footer_text_color', '#ffffff' );
$bowidth  = $config->getSetting( 'footer_border_size' );
$bocolor  = $config->getSetting( 'footer_border_color', '#111111' );

//Font
$fontSize = $config->getSetting( 'footer_font_size', 12 );
$font_opt = $config->getSetting( 'footer_font_family', 'roboto' );
$family   = IPCht_Font::getFamily( $font_opt );
?>

.ipcht-widget .ipcht-widget-footer-inner {
  height: <?php echo $height; ?>px;
  background-color: <?php echo $bgcolor; ?>;
  color: <?php echo $color; ?>;
  font-family: <?php echo $family; ?>;
  font-size: <?php echo $fontSize; ?>px;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}

.ipcht-widget .ipcht-widget-footer-text {
  line-height: <?php echo $height; ?>px;
}

<?php
if ( $bowidth ) {
  $botcolor = $bocolor;
} else {
  $botcolor = $bgcolor;
}
?>
.ipcht-widget .ipcht-widget-footer:after {
  border-bottom-color: <?php echo $botcolor; ?>!important;
}