<?php
/**
 * Widget form style
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$config   = $this->widgetConfig;

$bgcolor  = $config->getSetting( 'form_background_color', '#ffffff' );
$color    = $config->getSetting( 'form_text_color', '#666666' );
$bowidth  = $config->getSetting( 'form_border_size' );
$bocolor  = $config->getSetting( 'form_border_color', '#dddddd' );

//Font
$fontSize = $config->getSetting( 'footer_font_size', 13 );
$font_opt = $config->getSetting( 'footer_font_family', 'roboto' );
$family   = IPCht_Font::getFamily( $font_opt );

//Focus border color
$ecolor = new phpColor( $bocolor );
$fo_bocolor = $ecolor->darken(20);
?>

.ipcht-widget .ipcht-form-wrapper .ipcht-form-control {
	background-color: <?php echo $bgcolor; ?>;
  color: <?php echo $color; ?>;
  font-family: <?php echo $family; ?>;
  font-size: <?php echo $fontSize; ?>px;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . '!important;';
  }
  ?>
}
.ipcht-widget .ipcht-form-wrapper .ipcht-form-control:focus {
	border-color: #<?php echo $fo_bocolor; ?>!important;
  ?>
}

<?php
$bgcolor  = $config->getSetting( 'form_button_background_color', '#333333' );
$color    = $config->getSetting( 'form_button_text_color', '#ffffff' );
$bowidth  = $config->getSetting( 'form_button_border_size' );
$bocolor  = $config->getSetting( 'form_button_border_color', '#111111' );
?>
.ipcht-widget .ipcht-form-wrapper .ipcht-btn-submit {
	background-color: <?php echo $bgcolor; ?>;
  color: <?php echo $color; ?>;
  font-family: <?php echo $family; ?>;
  font-size: <?php echo $fontSize; ?>px;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . '!important;';
  }
  ?>
}