<?php
/**
 * Class helper for create user chat page
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPCht_Admin_User' )) 
{
  class IPCht_Admin_User extends IPCht_Admin 
  {
		//{{ __construct

		/**
		 * Class construct
		 *
		 * @param array $config
		 * @return void
		 */
		public function __construct( $config = array() )
		{
			parent::__construct( $config );
		}

		//}}
		//{{ main

		/**
		 * Main content
		 *
		 * @return void
		 */
		public function main()
		{
			$this->view( 'user/main', 'admin' );
		}

		//}}
		//{{ _setViewData

		/**
		 * Set view data
		 *
		 * @return void
		 */
		protected function _setViewData()
		{
			$this->requestID  = IPCHT_PAGENAME . '-user';
			$this->htmlRootID = 'ipcht-admin-user';

			$modUser = new IPCht_Model_User();
			$users   = $modUser->getUsers();
			
			$this->users = $users;
			
		}
  }
}