<?php
/**
 * Admin content manage view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<!-- start: .ipcht-manage-wrap -->
<div class="ipcht-manage-wrap ipcht-manage-sidebar">

	<!-- start: .ipcht-form -->
  <form 
  	id="<?php echo $this->formID; ?>" 
  	class="ipcht-form-container ipcht-form" 
  	method="post" 
  	action="<?php echo $this->formAction; ?>" 
  	enctype="multipart/form-data">

    <input 
    	type="hidden" 
    	name="object_id" 
    	id="ipcht-value-objectid" 
    	value="<?php echo $this->objectId; ?>" />

    <!-- start: .container -->
    <div class="container-fluid container">

    	<!-- start: .ipcht-tab -->
      <div class="ipcht-clear ipcht-tab">
        <?php
        $this->navManage();
        ?>

        <!-- start: .ipcht-manage-content -->
        <div class="ipcht-manage-content">

          <!-- start: .ipcht-manage-info -->
          <div class="ipcht-manage-info">
            <!-- start: .row -->
            <div class="row">

              <!-- start: .col-md-8 -->
              <div class="col-md-8">
                <div class="ipcht-tab-title">
                  <i class="ipcht-fa ipcht-fa-<?php echo $this->tabDefaultIcon; ?>"></i>
                  <div class="ipcht-title-text">
                    <h3><?php echo $this->tabDefaultTitle; ?></h3>
                    <p><?php echo $this->tabDefaultInfo; ?></p>
                  </div>
                </div>
              </div>
              <!-- end: .col-md-8 -->

              <!-- start: .col-md-4 -->
              <div class="col-md-4">
                <!-- start: .ipcht-top-submit -->
                <div class="ipcht-top-submit">

                  <button 
                    type="submit" 
                    class="ipcht-form-submit ipcht-btn ipcht-btn-secondary ipcht-btn-lg <?php echo $this->submitID; ?>" 
                    id="do-update-top" 
                    name="update_top">
                    <i class="ipcht-fa ipcht-fa-<?php echo $this->submitIcon; ?>"></i>
                    <strong> <?php echo $this->submitLabel; ?></strong>
                  </button>

                  <?php
                  if ( $this->object ) 
                  {
                    $date = $this->getObjectDate( $this->object );
                    echo '<p class="ipcht-update-info">' .
                      __( 'Last Update', IPCHT_SLUG ) .
                      ': <strong>' . mysql2date( 'd F Y, h:i:s', $date ) . '</strong>' .
                    '</p>';
                  }
                  ?>
                </div>
                <!-- start: .ipcht-top-submit -->
              </div>
              <!-- end: .col-md-4 -->
            </div>
            <!-- end: .row -->
          </div>
          <!-- end: .ipcht-manage-info -->


          <?php
          $this->manageMain();
          ?>

          <!-- start: .ipcht-manage-footer -->
          <div class="ipcht-manage-footer">
            <!-- start: .row -->
            <div class="row">

              <!-- start: .col-md-6 -->
              <div class="col-md-6">
                <div class="ipcht-bottom-submit">
                  <button 
                    type="submit" 
                    class="ipcht-form-submit ipcht-btn ipcht-btn-secondary ipcht-btn-lg <?php echo $this->submitID; ?>" 
                    id="do-update-bottom" 
                    name="update_bottom">
                    <i class="ipcht-fa ipcht-fa-<?php echo $this->submitIcon; ?>"></i>
                    <strong><?php echo $this->submitLabel; ?></strong>
                  </button>
                </div>
              </div>
              <!-- end: .col-md-6 -->

              <!-- start: .col-md-6 -->
              <div class="col-md-6">
                <div class="ipcht-bottom-action text-right">
                  <?php
                  if ( $this->object ) :
                  ?>
                  <a href="#" 
                     class="ipcht-btn ipcht-btn-danger ipcht-btn-lg ipcht-delete-edit <?php echo $this->deleteID; ?>" 
                     data-id="<?php echo $this->objectId; ?>">
                      <i class="ipcht-fa ipcht-fa-trash"></i>
                      <?php _e( 'Delete', IPCHT_SLUG ); ?>
                  </a>
                  <?php
                  endif;
                  ?>
                </div>
              </div>
              <!-- end: .col-md-6 -->
            
            </div>
            <!-- end: .row -->
          </div>
          <!-- end: .ipcht-manage-footer -->

        </div>
        <!-- end: .ipcht-manage-content -->

      </div>
      <!-- end: .ipcht-tab -->

    </div>
    <!-- end: .container -->

  </form>
  <!-- start: .ipcht-form -->

</div>
<!-- end: .ipcht-manage-wrap -->